import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class AbsoluteVolumeOscillatorIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    protected bc(): Series;
    protected get_y0(): IndicatorCalculationStrategy;
    protected get y0(): IndicatorCalculationStrategy;
    protected get_zd(): Type;
    protected get zd(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly zm: DependencyProperty;
    protected y8(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly zl: DependencyProperty;
    protected y5(): number;
}
